org.mariadb.jdbc.internal.common.queryresults

## Class CachedSelectResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult
  - - org.mariadb.jdbc.internal.common.queryresults.SelectQueryResult
    - - org.mariadb.jdbc.internal.common.queryresults.CachedSelectResult

    public class CachedSelectResult
    extends SelectQueryResult

### Field Summary

Fields
`protected short` `warningCount`

### Constructor Summary

Constructors
Constructor and Description
`CachedSelectResult(MySQLColumnInformation[] ci, List<ValueObject[]> result, short warningCount)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CachedSelectResult` `createCachedSelectResult(StreamingSelectResult streamingResult)`
`MySQLColumnInformation[]` `getColumnInformation()`
`String` `getMessage()`
`ResultSetType` `getResultSetType()`
`int` `getRowPointer()` gets the current row number
`int` `getRows()`
`ValueObject` `getValueObject(int i)` gets the value at position i in the result set.
`short` `getWarnings()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`void` `moveRowPointerTo(int i)` moves the row pointer to position i
`boolean` `next()`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.QueryResult

`close, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### warningCount

    protected short warningCount

### Constructor Detail

#### CachedSelectResult

    public CachedSelectResult(MySQLColumnInformation[] ci,
                              List<ValueObject[]> result,
                              short warningCount)

### Method Detail

#### createCachedSelectResult

    public static CachedSelectResult createCachedSelectResult(StreamingSelectResult streamingResult)
                                                       throws IOException,
                                                              QueryException

Throws:
  `IOException`
  `QueryException`

#### next

    public boolean next()
                 throws IOException,
                        QueryException

Specified by:
  `next` in class `SelectQueryResult`
Throws:
  `IOException`
  `QueryException`

#### getWarnings

    public short getWarnings()

Overrides:
  `getWarnings` in class `SelectQueryResult`

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `SelectQueryResult`

#### getColumnInformation

    public MySQLColumnInformation[] getColumnInformation()

Overrides:
  `getColumnInformation` in class `SelectQueryResult`

#### getValueObject

    public ValueObject getValueObject(int i)
                               throws NoSuchColumnException

gets the value at position i in the result set. i starts at zero!

Specified by:
  `getValueObject` in class `SelectQueryResult`
Parameters:
  `i` - index, starts at 0
Returns:
Throws:
  `NoSuchColumnException` - if the column does not exist

#### getRows

    public int getRows()

Specified by:
  `getRows` in class `QueryResult`

#### moveRowPointerTo

    public void moveRowPointerTo(int i)

Description copied from class: `SelectQueryResult`
moves the row pointer to position i

Overrides:
  `moveRowPointerTo` in class `SelectQueryResult`
Parameters:
  `i` - the position

#### getRowPointer

    public int getRowPointer()

Description copied from class: `SelectQueryResult`
gets the current row number

Overrides:
  `getRowPointer` in class `SelectQueryResult`
Returns:
  the current row number

#### getResultSetType

    public ResultSetType getResultSetType()

Overrides:
  `getResultSetType` in class `SelectQueryResult`

#### isBeforeFirst

    public boolean isBeforeFirst()

Specified by:
  `isBeforeFirst` in class `SelectQueryResult`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SelectQueryResult`